import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bacteria fload along in the bloodstream. They are bad. Best to destroy
 * them if you can.
 * image of the mouse:https://en.wikipedia.org/wiki/Mouse#/media/File:%D0%9C%D1%8B%D1%88%D1%8C_2.jpg
 * sound file:http://soundbible.com/1421-Strange-Slip.html
 */
public class Mouse extends Actor
{
    private int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public Mouse()
    {
        speed = Greenfoot.getRandomNumber(4)+1;

        //setRotation(Greenfoot.getRandomNumber(360));
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        checktouch();
        checkend();
        //turn(1);

        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }

    private void checkend()
    {
        if(getX() == 0)
        {
            Kitchen kitchen = (Kitchen)getWorld();
            kitchen.addScore(-20);
        }
    }

    private void checktouch()
    {
        if (isTouching(Cheese.class))
        {
            Greenfoot.playSound("Mouse Eat.wav");
            removeTouching(Cheese.class);
            Kitchen kitchen = (Kitchen)getWorld();
            kitchen.addScore(-5);
        }
    }
}